Bug 1658963 (CVE-2018-20123)

Summary: CVE-2018-20123 QEMU: pvrdma: memory leakage in device hotplug
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedKeywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-12-20 05:07:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1658964    
Bug Blocks: 1649132    

Description Prasad J Pandit 2018-12-13 09:16:34 UTC
A memory leakage issue was found in the way QEMU initialised its
VMWare's paravirtual RDMA device. In pvrdma_realize() routine, if
an error occurred, it did not release memory resources allocated
to various objects.

A guest user/process could use this flaw to leak host memory,
resulting in DoS for host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-12/msg02817.html

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2018/12/13/4

Comment 1 Prasad J Pandit 2018-12-13 09:16:37 UTC
Acknowledgments:

Name: Li Qiang

Comment 2 Prasad J Pandit 2018-12-13 09:16:56 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1658964]